#ifndef _RLTB_TRACEBUFFERCONFIG_H_
#define _RLTB_TRACEBUFFERCONFIG_H_

typedef struct
{
	bool PortA;
	bool PortB;
	bool PortC;
	bool PortDLow;
	bool PortDHigh;
	bool PortELow;
	bool PortEHigh;
	bool PortLaserIn;
	bool PortLaserIn0;
	bool PortLaserIn1;
	bool PortLaserOut;
	bool PortLaserOut0;
	bool PortLaserOut1;
	bool PortLaserOut2;
	bool Dac0;
	bool Dac1;
	bool LaserPower16;
	bool LaserPower8;
	bool LaserPower4;
	bool LaserPower2;
	bool LaserPower1;
	bool Fps;
	bool Gate;
	bool Lm;
	bool LaserTriggered;
	bool StartMark;
	bool AbortMark;
	bool MotorStep;
	bool MotorDirection;
}rltbTraceBufferConfig0;

typedef struct
{
	bool Head0TxX;
	bool Head0TxY;
	bool Head0TxZ;
	bool Head0RxX;
	bool Head0RxY;
	bool Head0RxZ;
	bool Head1TxX;
	bool Head1TxY;
	bool Head1TxZ;
	bool Head1RxX;
	bool Head1RxY;
	bool Head1RxZ;
}rltbTraceBufferConfig1;

typedef struct
{
	bool Spi0Rx;
	bool Spi1Rx;
	bool Spi2Rx;
	bool Spi3Rx;
	bool IOEventChange;
	bool PositionEventChange;
	bool ControlEventChange;
	bool Label;
}rltbTraceBufferConfig3;

typedef struct
{
	int ConfigVersion;
	rltbTraceBufferConfig0 IOEvents;
	rltbTraceBufferConfig1 PositionEvents;
	rltbTraceBufferConfig3 ControlEvents;
}rltbTraceBufferConfig;

#endif // _RLTB_TRACEBUFFERCONFIG_H_
